Subject: Re: git-describe doesn't show the most recent tag

From: Pierre Habouzit <[email-masked]>
Date: Sun, 28 Sep 2008 16:39:49 +0200

On Sun, Sep 28, 2008 at 02:29:21PM +0000, Erez Zilber wrote:
> On Sun, Sep 28, 2008 at 4:55 PM, Pierre Habouzit <[email-masked]> wrote:
> > On Sun, Sep 28, 2008 at 01:48:42PM +0000, Erez Zilber wrote:
> >> Why is this happening?
> >
> >       --tags
> >           Instead of using only the annotated tags, use any tag found in
> >           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> >           .git/refs/tags.
> >
> 
> I'm not sure that I understand the difference between tags and annotated tags.

  a lightweight tag is just a reference. an annotated tag has a message
associated. Usually tags are meant as local help, whereas annotated tags
are the ones pushed to the repositories and that never change. That's
why many tools ignore non annotated tags by default unless you pass
--tags to them.

> Anyway, if I move to the master branch, I see the following tags:
> 
> [erez.zilber@erez-lx:/tmp/open-iscsi.git]$ ls .git/refs/tags/
> 2.0-868-rc1  2.0-869  2.0-869.1  2.0-869.2  2.0-869-rc2  2.0-869-rc3
> 2.0-869-rc4  2.0-870-rc1
> [erez.zilber@erez-lx:/tmp/open-iscsi.git]$ git-tag
> 2.0-868-rc1
> 2.0-869
> 2.0-869-rc2
> 2.0-869-rc3
> 2.0-869-rc4
> 2.0-869.1
> 2.0-869.2
> 2.0-870-rc1
> 
> However:
> [erez.zilber@erez-lx:/tmp/open-iscsi.git]$ git-describe --tags
> 2.0-868-rc1-81-g31c9d42
> 
> I was expecting to see 2.0-870-rc1 here.

  That's because master is not at -rc1 exactly, but some commits
afterwards. Please read the git-describe manpage fully, it's _really_
well explained:

       The command finds the most recent tag that is reachable from a commit.
       If the tag points to the commit, then only the tag is shown. Otherwise,
       it suffixes the tag name with the number of additional commits on top
       of the tagged object and the abbreviated object name of the most recent
       commit.

Which means that your master is 81 commits ahead of the exact 2.0-860-rc1 tag,
at sha1 31c9d42

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org